;;;   ARectang.LSP v1.0  06.03.04
;;;   Copyright (C) 1994 by Babichuk A.V.
;;;   /  /
;;;   E-Mail: alexbabichuk@hotmail.com
;;;
;;;   C:aRect -   .
;;;
;;;   command: ^C^C^P(IF (null (vl-vlx-loaded-p "aRectang"))(load "aRectang"));aRect;
;;;
;;;   ================================================================

(defun c:aRect (/ ortho echo os str msg obj w p1 p2 p3 p4)
  (setq	ortho (getvar "ORTHOMODE")
	echo  (getvar "CMDECHO")
	os    (getvar "OSMODE")

  )
  (setvar "CMDECHO" 0)
  (setvar "ORTHOMODE" 0)
  (setvar "OSMODE" 0)
  (setq	str
	 (getstring
	   "\n  [   <Y>,  <N>] <Y>: "
	 )
  )

  (setq p1 (getpoint "\n   : "))
  (command "ucs" "n" p1)
  (setq p1 '(0.0 0.0 0.0))
  (setq p4 (getpoint p1 "\n   : "))
  (setq w (distance p1 p4))

  (command "LINE" p1 p4 "")
  (setq obj (entlast))

  (setvar "ORTHOMODE" 1)
  (command "ucs" "ob" obj)
  (if (or (= str "") (= str "y") (= str "Y"))
    (setq msg "\n   ():")
    (setq msg "\n   ():")
  )
  (setq p2 (getpoint p1 msg))
  (command "ERASE" obj "")
  (if (or (= str "") (= str "y") (= str "Y"))
    (setq p3 (polar p2 0.0 w)
	  p4 (polar p1 0.0 w)
    )
    (setq p3 (polar p2 0.0 w)
	  p1 (polar p2 (angle p2 p1) (* (distance p1 p2) 2.0))
	  p4 (polar p1 0.0 w)
    )
  )
  (command "PLINE" p1 p2 p3 p4 "c")

  (command "ucs" "w")

  (setvar "ORTHOMODE" ortho)
  (setvar "OSMODE" os)
  (setvar "CMDECHO" echo)
)
(princ "\naRectang - .   : aRect")